# Cloudbeds Fiscal Document
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

The `cloudbeds_fiscal_document` package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.3.0
- Generator version: 7.11.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.8+

## Installation & Usage

This python library package is generated without supporting files like setup.py or requirements files

To be able to use it, you will need these dependencies in your own package that uses this library:

* urllib3 >= 1.25.3, < 3.0.0
* python-dateutil >= 2.8.2
* pydantic >= 2
* typing-extensions >= 4.7.1

## Getting Started

In your own code, to use this library to connect and interact with Cloudbeds Fiscal Document,
you can run the following:

```python

import cloudbeds_fiscal_document
from cloudbeds_fiscal_document.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost:8700
# See configuration.py for a list of all supported configuration parameters.
configuration = cloudbeds_fiscal_document.Configuration(
    host = "http://localhost:8700"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): bearerAuth
configuration = cloudbeds_fiscal_document.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with cloudbeds_fiscal_document.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = cloudbeds_fiscal_document.ConfigsApi(api_client)
    x_property_id = 56 # int | Property id

    try:
        # Get list of fiscal documents configs
        api_response = api_instance.get_configs(x_property_id)
        print("The response of ConfigsApi->get_configs:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling ConfigsApi->get_configs: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:8700*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConfigsApi* | [**get_configs**](cloudbeds_fiscal_document/docs/ConfigsApi.md#get_configs) | **GET** /fiscal-document/v1/configs | Get list of fiscal documents configs
*ConfigsApi* | [**update_configs**](cloudbeds_fiscal_document/docs/ConfigsApi.md#update_configs) | **PUT** /fiscal-document/v1/configs/{documentKind} | Updates a config of a specific kind
*FiscalDocumentsApi* | [**create_credit_note**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#create_credit_note) | **POST** /fiscal-document/v1/fiscal-documents/credit-note | Create a fiscal document of the type credit note
*FiscalDocumentsApi* | [**create_invoice**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#create_invoice) | **POST** /fiscal-document/v1/fiscal-documents/invoice | Create a fiscal document of the type invoice
*FiscalDocumentsApi* | [**download_fiscal_document**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#download_fiscal_document) | **GET** /fiscal-document/v1/fiscal-documents/{id}/download | Download fiscal document
*FiscalDocumentsApi* | [**email_fiscal_document**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#email_fiscal_document) | **POST** /fiscal-document/v1/fiscal-documents/{id}/email | Email a fiscal document
*FiscalDocumentsApi* | [**get_fiscal_document_recipients_by_id**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#get_fiscal_document_recipients_by_id) | **GET** /fiscal-document/v1/fiscal-documents/{id}/recipients | Get list of recipients associated to the fiscal document
*FiscalDocumentsApi* | [**get_fiscal_document_transactions**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#get_fiscal_document_transactions) | **GET** /fiscal-document/v1/fiscal-documents/transactions | Get list of fiscal documents
*FiscalDocumentsApi* | [**get_fiscal_document_transactions_by_id**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#get_fiscal_document_transactions_by_id) | **GET** /fiscal-document/v1/fiscal-documents/{id}/transactions | Get list of transactions for a given fiscal document id
*FiscalDocumentsApi* | [**get_fiscal_documents**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#get_fiscal_documents) | **GET** /fiscal-document/v1/fiscal-documents | Get list of fiscal documents
*FiscalDocumentsApi* | [**put_fiscal_document**](cloudbeds_fiscal_document/docs/FiscalDocumentsApi.md#put_fiscal_document) | **PUT** /fiscal-document/v1/fiscal-documents/{id} | Update a fiscal document by id


## Documentation For Models

 - [Action](cloudbeds_fiscal_document/docs/Action.md)
 - [ApiError](cloudbeds_fiscal_document/docs/ApiError.md)
 - [ConfigsResponse](cloudbeds_fiscal_document/docs/ConfigsResponse.md)
 - [ConfigsUpdateRequest](cloudbeds_fiscal_document/docs/ConfigsUpdateRequest.md)
 - [CreateCreditNoteRequest](cloudbeds_fiscal_document/docs/CreateCreditNoteRequest.md)
 - [CreateInvoiceRequest](cloudbeds_fiscal_document/docs/CreateInvoiceRequest.md)
 - [DocumentAction](cloudbeds_fiscal_document/docs/DocumentAction.md)
 - [FiscalDocumentDetailedResponse](cloudbeds_fiscal_document/docs/FiscalDocumentDetailedResponse.md)
 - [FiscalDocumentEmailRequest](cloudbeds_fiscal_document/docs/FiscalDocumentEmailRequest.md)
 - [FiscalDocumentKind](cloudbeds_fiscal_document/docs/FiscalDocumentKind.md)
 - [FiscalDocumentPaginated](cloudbeds_fiscal_document/docs/FiscalDocumentPaginated.md)
 - [FiscalDocumentPatchRequest](cloudbeds_fiscal_document/docs/FiscalDocumentPatchRequest.md)
 - [FiscalDocumentRecipient](cloudbeds_fiscal_document/docs/FiscalDocumentRecipient.md)
 - [FiscalDocumentStatus](cloudbeds_fiscal_document/docs/FiscalDocumentStatus.md)
 - [FiscalDocumentSummaryResponse](cloudbeds_fiscal_document/docs/FiscalDocumentSummaryResponse.md)
 - [FiscalDocumentTransactionResponse](cloudbeds_fiscal_document/docs/FiscalDocumentTransactionResponse.md)
 - [FiscalDocumentTransactionsPaginated](cloudbeds_fiscal_document/docs/FiscalDocumentTransactionsPaginated.md)
 - [GovernmentIntegration](cloudbeds_fiscal_document/docs/GovernmentIntegration.md)
 - [GovernmentIntegrationQr](cloudbeds_fiscal_document/docs/GovernmentIntegrationQr.md)
 - [RecipientAddress](cloudbeds_fiscal_document/docs/RecipientAddress.md)
 - [RecipientContactDetails](cloudbeds_fiscal_document/docs/RecipientContactDetails.md)
 - [RecipientDetails](cloudbeds_fiscal_document/docs/RecipientDetails.md)
 - [RecipientDocument](cloudbeds_fiscal_document/docs/RecipientDocument.md)
 - [RecipientTaxInfo](cloudbeds_fiscal_document/docs/RecipientTaxInfo.md)
 - [SourceKind](cloudbeds_fiscal_document/docs/SourceKind.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearerAuth"></a>
### bearerAuth

- **Type**: Bearer authentication (JWT)


## Author




